# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::DepthFunc Class Reference

RenderState wrapping the OpenGL function glDepthFunc(), see also http://www.opengl.org/sdk/docs/man/xhtml/glDepthFunc.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::DepthFunc:

List of all members.

## Public Member Functions

| DepthFunc (EFunction depthfunc=FU_LESS)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (EFunction depthfunc)
EFunction | depthFunc () const

## Protected Attributes

EFunction | mDepthFunc

## Detailed Description

RenderState wrapping the OpenGL function glDepthFunc(), see also http://www.opengl.org/sdk/docs/man/xhtml/glDepthFunc.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_DEPTH_TEST

Definition at line 283 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::DepthFunc::DepthFunc | ( | EFunction | depthfunc = `FU_LESS` ) | `[inline]`

Definition at line 286 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::DepthFunc::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

Definition at line 290 of file Shader.hpp.

virtual ERenderState vl::DepthFunc::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 291 of file Shader.hpp.

References vl::RS_DepthFunc.

void DepthFunc::apply | ( | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 248 of file Shader.cpp.

References mDepthFunc, and VL_CHECK_OGL.

void vl::DepthFunc::set | ( | EFunction | depthfunc ) | `[inline]`

Definition at line 293 of file Shader.hpp.

EFunction vl::DepthFunc::depthFunc | ( | ) | const`[inline]`

Definition at line 294 of file Shader.hpp.

## Member Data Documentation

EFunction vl::DepthFunc::mDepthFunc`[protected]`

Definition at line 296 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:45.
Permission is granted to use this page to write and publish articles regarding Visualization Library.